Create or update issue asset
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/issues/{id}/assets \
--header 'Content-Type: application/json' \
--data '
{
"asset_owner": "<string>",
"host": "<string>",
"ip_address": "<string>",
"matcher_name": "<string>",
"metadata": {},
"port": 123,
"status": "open",
"target": "<string>",
"target_type": "host",
"url": "<string>"
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/issues/{id}/assets"
payload = {
"asset_owner": "<string>",
"host": "<string>",
"ip_address": "<string>",
"matcher_name": "<string>",
"metadata": {},
"port": 123,
"status": "open",
"target": "<string>",
"target_type": "host",
"url": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
asset_owner: '<string>',
host: '<string>',
ip_address: '<string>',
matcher_name: '<string>',
metadata: {},
port: 123,
status: 'open',
target: '<string>',
target_type: 'host',
url: '<string>'
})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/issues/{id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_by": "<string>",
"first_seen": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_seen": "2023-11-07T05:31:56Z",
"status": "open",
"target_type": "host",
"asset_owner": "<string>",
"host": "<string>",
"ip_address": "<string>",
"matcher_name": "<string>",
"metadata": {},
"port": 123,
"target": "<string>",
"url": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Issues
Create or update issue asset
Add or update an affected asset on an issue (deduped on issue_id + host + port + target).
POST
/
api
/
v1
/
issues
/
{id}
/
assets
Create or update issue asset
Path Parameters
Issue ID
Body
application/json
Who is responsible for this asset — email, team name, cloud account ID, etc.
Available options:
open, fixed, ignored Generic target (ARN, file path, bundle ID, etc.)
Response
Asset upserted
Email of the user who added this asset
Available options:
open, fixed, ignored Who is responsible for this asset — email address, team name, cloud account ID, or any identifier that helps track down the right person/team to remediate it
Template match name (e.g. nuclei matcher)
Generic target identifier (ARN, bundle ID, repo path, etc.)
⌘I

